Page MenuHomePhabricator

Update hfst to hfst45 and rebuild all dependent apertium packages
Closed, ResolvedPublic

Description

Currently, apertium packages are build with hfst39 and new packages are going to depend on hfst45. We need to,

  • Package hfst45,
  • Rebuild dependent packages with new lib.

Details

Related Gerrit Patches:
operations/debs/contenttranslation/hfst : masterhfst: New upstream release

Event Timeline

KartikMistry claimed this task.
KartikMistry raised the priority of this task from to Needs Triage.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 7:20 AM
Arrbee moved this task from Needs Triage to CX5 on the ContentTranslation board.Apr 10 2015, 9:50 AM
santhosh triaged this task as Medium priority.Apr 11 2015, 8:45 AM
santhosh added a subscriber: santhosh.
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-86 board.Apr 21 2015, 9:23 AM
Nikerabbit set Security to None.Apr 21 2015, 9:24 AM
Nikerabbit edited a custom field.
Arrbee edited projects, added LE-Sprint-87; removed LE-Sprint-86.May 25 2015, 8:10 AM
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-87 board.May 25 2015, 8:15 AM
Arrbee edited projects, added LE-Sprint-88; removed LE-Sprint-87.Jun 9 2015, 9:32 AM

hfst uploaded to Debian.

Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jul 2 2015, 4:34 PM
Amire80 added a subscriber: Amire80.Oct 2 2015, 2:52 PM

What's the status of this? It's in ContentTranslation-Release6. Is it done?

Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 15 2015, 9:02 AM
KartikMistry renamed this task from Update hfst to hfst40 and rebuild all dependent apertium packages to Update hfst to hfst45 and rebuild all dependent apertium packages.Jun 9 2016, 12:25 PM
KartikMistry updated the task description. (Show Details)
KartikMistry moved this task from Backlog to In Progress on the Language-Q4-2016-Sprint 4 board.

Change 293494 had a related patch set uploaded (by KartikMistry):
hfst: New upstream release

https://gerrit.wikimedia.org/r/293494

Change 293494 merged by Alexandros Kosiaris:
hfst: New upstream release

https://gerrit.wikimedia.org/r/293494

Arrbee closed this task as Resolved.Jul 5 2016, 6:33 AM
Arrbee moved this task from In Review to Done on the Language-Q4-2016-Sprint 5 board.